tt_pattern_create(library call)

NAME
tt_pattern_create — request a new pattern object

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_pattern tt_pattern_create(void)

DESCRIPTION

The tt_pattern_create function requests a new pattern object.

After receiving the pattern object, the application fills in the message pattern fields to indicate what type of messages the process wants to receive and then registers the pattern with the ToolTalk service.

The application can supply multiple values for each attribute added to a pattern (although some attributes are set and can only have one value). The pattern attribute matches a message attribute if any of the values in the pattern match the value in the message. If no value is specified for an attribute, the ToolTalk service assumes that any value will match.

RETURN VALUE

Upon successful completion, the tt_pattern_create function returns the opaque handle for a message pattern. The application can use this handle in future calls to identify the pattern object. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned handle:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_register(3), tt_ptr_error(3), tt_free(3).